View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000154Ecere SDKidepublic2009-05-03 04:502014-05-19 01:32
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000154: The IDE Leaks a lot
DescriptionIt reaches 300+ mb in a relatively short period of time when working on some projects.

Memory leak loading up Paper2PACS
Tagsstar, v0.44d2
Attached Files

- Relationships
related to 0000385closedjerome Leaks in repositionning parser 
related to 0000456closedjerome memory leaks in debugger 
related to 0000503closedjerome Some interesting memory leaks compiling dataTypes.ec 
related to 0000501closedjerome Picture.ec: memory leaks (compiler) 
related to 0000821closedjerome memory leaks 

-  Notes
(0001297)
jerome (administrator)
2014-05-19 01:31

All known leaks are now fixed.
(Parsing leaks, Compiler transform leaks, Debugging/Watches...)

Loading Paper2PACS, opening up all source files, including external dependencies (even sqlite3.c) does not leak anything.

Please file new issues for new leaks found.

- Issue History
Date Modified Username Field Change
2009-05-03 04:50 jerome New Issue
2009-05-03 06:30 jerome Status new => assigned
2009-05-03 06:30 jerome Assigned To => jerome
2010-07-07 02:37 redj Target Version => 0.44d2
2010-07-07 04:10 redj Tag Attached: v0.44d2
2010-07-07 04:42 redj Tag Attached: star
2010-07-25 21:26 redj Relationship added child of 0000429
2010-07-26 05:18 redj Description Updated
2010-07-26 12:01 jerome Relationship added related to 0000385
2010-07-26 12:02 jerome Relationship added related to 0000456
2010-07-26 19:27 thexa4 Target Version 0.44d2 => 0.44 draft 2
2010-07-26 20:50 jerome Relationship added related to 0000503
2010-07-26 20:50 jerome Relationship added related to 0000501
2012-03-08 15:41 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:30 redj Relationship deleted child of 0000429
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-04-24 03:25 jerome Target Version 0.45 Ginkakuji => 0.44.1 64
2013-04-24 04:22 redj Relationship added related to 0000821
2013-04-24 20:22 jerome Assigned To jerome =>
2013-04-25 09:06 jerome Status assigned => new
2014-04-30 08:59 jerome Target Version 0.44.12 Fixes => 0.44.10 64
2014-04-30 09:00 jerome Status new => assigned
2014-04-30 09:00 jerome Assigned To => jerome
2014-05-19 01:31 jerome Status assigned => resolved
2014-05-19 01:31 jerome Fixed in Version => 0.44.10 64
2014-05-19 01:31 jerome Resolution open => fixed
2014-05-19 01:31 jerome Note Added: 0001297
2014-05-19 01:32 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker